//------------------------------------------------------------------------------
//
//   Greg's Blocks - ItemChisel
//
//------------------------------------------------------------------------------

package gcewing.blocks;

import java.util.List;

import net.minecraft.block.*;
import net.minecraft.creativetab.*;
import net.minecraft.entity.*;
import net.minecraft.entity.item.*;
import net.minecraft.entity.player.*;
import net.minecraft.item.*;
import net.minecraft.world.*;

public class ItemChisel extends Item {

	public ItemChisel(int id) {
		super(id);
		setMaxStackSize(1);
	}
	
	@Override
	public CreativeTabs getCreativeTab() {
		return CreativeTabs.tabTools;
	}
	
	@Override
	public boolean onItemUse(ItemStack stack, EntityPlayer player,
		World world, int x, int y, int z, int side, float par8, float par9, float par10)
	{
		int id = world.getBlockId(x, y, z);
		int data = world.getBlockMetadata(x, y, z);
		Block block = Block.blocksList[id];
		if (block instanceof BlockShape) {
			//System.out.printf("ItemChisel used on id %d data %d at %d, %d, %d world %s remote %s\n",
			//	id, data, x, y, z, world, world.isRemote);
			int newData = (data & 0xc) | ((data + 1) & 3);
			world.setBlockMetadataWithNotify(x, y, z, newData, 0x3);
			world.markBlockForUpdate(x, y, z);
			return true;
		}
		if (id == Block.glass.blockID || id == Block.thinGlass.blockID
			|| id == Block.glowStone.blockID || id == Block.ice.blockID)
		{
			world.setBlock(x, y, z, 0, 0, 0x3);
			if (!world.isRemote) {
				dropBlockAsItem(world, x, y, z, block, data);
				world.playAuxSFX(2001, x, y, z, /*id*/Block.stone.blockID); // block breaking sound and particles
			}
			return true;
		}
		return false;
	}

	void dropBlockAsItem(World world, int x, int y, int z, Block block, int data) {
		ItemStack stack = new ItemStack(block, 1, data);
		float var6 = 0.7F;
		double var7 = (double)(world.rand.nextFloat() * var6) + (double)(1.0F - var6) * 0.5D;
		double var9 = (double)(world.rand.nextFloat() * var6) + (double)(1.0F - var6) * 0.5D;
		double var11 = (double)(world.rand.nextFloat() * var6) + (double)(1.0F - var6) * 0.5D;
		EntityItem var13 = new EntityItem(world, x + var7, y + var9, z + var11, stack);
		var13.delayBeforeCanPickup = 10;
		world.spawnEntityInWorld(var13);
	}

}
