//------------------------------------------------------------------------------
//
//	 Greg's Blocks - TEShape
//
//------------------------------------------------------------------------------

package gcewing.blocks;

import net.minecraft.block.*;
import net.minecraft.nbt.*;
import net.minecraft.network.packet.*;
import net.minecraft.tileentity.*;

public class TEShape extends BaseTileEntity {

	public final static int roofShape = 0;
	public final static int outerCornerShape = 1;
	public final static int innerCornerShape = 2;
	public final static int ridgeShape = 3;
	public final static int smartRidgeShape = 4;
	public final static int valleyShape = 5;
	public final static int smartValleyShape = 6;

	public final static int numShapes = 7;
	
	public static String[] shapeNames = {
		/*0*/ "Roof Tile",
		/*1*/ "Roof Outer Corner",
		/*2*/ "Roof Inner Corner",
		/*3*/ "Gabled Roof Ridge",
		/*4*/ "Hip Roof Ridge",
		/*5*/ "Gabled Roof Valley",
		/*6*/ "Hip Roof Valley",
	};

	public int shape;
	public int baseBlockID;
	public int baseMetadata;
	
	public TEShape() {
		super();
	}
	
	public TEShape(int s, int b, int d) {
		super();
		shape = s;
		baseBlockID = b;
		baseMetadata = d;
	}
	
	Block getBaseBlock() {
		return Block.blocksList[baseBlockID];
	}
	
	public void readFromNBT(NBTTagCompound tc) {
		super.readFromNBT(tc);
		readShapeFromNBT(tc);
	}
	
	public void readShapeFromNBT(NBTTagCompound tc) {
		shape = tc.getInteger("Shape");
		baseBlockID = tc.getInteger("BaseID");
		baseMetadata = tc.getInteger("BaseData");
	}
	
	public void writeToNBT(NBTTagCompound tc) {
		super.writeToNBT(tc);
		tc.setInteger("Shape", shape);
		tc.setInteger("BaseID", baseBlockID);
		tc.setInteger("BaseData", baseMetadata);
	}

//	public Packet getDescriptionPacket() {
//		//System.out.printf("TEShape.getDescriptionPacket\n");
//		return PacketHandler.packetFromTileEntity(this);
//	}

}
